<h2>
    <span>Master Project PP</span>
    <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/master-project-new']">
        <span class="fa fa-plus"></span>
        <span class="hidden-sm-down"> Tambah Project Baru </span>
    </button>
    <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" (click)="export()" style="margin-right: 10px;">
        <span class="fa fa-cogs"></span>
        <span class="hidden-sm-down"> Export Excel </span>
    </button> -->
</h2>
<jhi-alert></jhi-alert>
<!-- <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Please insert">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div> -->

<br />
<p-dataTable [value]="picRoles" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
    [rowsPerPageOptions]="[10, 15, 20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first"
    row="itemsPerPage" totalRecords="totalItems" dataKey="idMasBahan" expandableRows="false" rowHover="true"
    (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
    <p-header>

        <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="Please Insert Project Name OR Project Code" />
                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)"
                    *ngIf="currentSearch">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                    *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
        </form>
    </p-header>
    <p-column field="No" header="No" [style]="{ width: '70px', 'text-align': 'center' }">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{ rowIndex + 1 }}
        </ng-template>
    </p-column>
    <p-column header="Kode Project">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.kd_project }}
        </ng-template>
    </p-column>
    <p-column header="Nama Project">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.nm_project }}
        </ng-template>
    </p-column>
    <p-column header="Pembuat">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.iduser }}
        </ng-template>
    </p-column>
    <p-column header="Tanggal">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.waktu_input | date:'dd/MM/yyyy' }}
        </ng-template>
    </p-column>
    <p-column header="Approval 1">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.pic }}
        </ng-template>
    </p-column>
    <p-column header="Tanggal Approve 1">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.dtapprove_2 | date:'dd/MM/yyyy HH:mm:ss' }}
        </ng-template>
    </p-column>
    <p-column header="Approval 2">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.pic2 }}
        </ng-template>
    </p-column>
    <p-column header="Tanggal Approve 2">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.dtapprove_2 | date:'dd/MM/yyyy HH:mm:ss' }}
        </ng-template>
    </p-column>
    <p-column header="Keterangan Not Approve">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.ket_not_approve }}
        </ng-template>
    </p-column>
    <p-column header="Status">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.status === '1' ? 'Aktif' : 'Non Aktif' }}
        </ng-template>
    </p-column>
    <p-column header="Status Project">
        <ng-template let-rowData="rowData" pTemplate="body">
           {{ rowData.status_project == 0 ? 'New' :
            rowData.status_project == 1 ? 'Request Approval' :
            rowData.status_project == 2 ? 'Approve PIC 1' :
            rowData.status_project == 3 ? 'Approve PIC 2' :
            rowData.status_project == 4 ? 'Not Approve' : 'Unknown Status' }}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{ width: '150px', 'text-align': 'center' }">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit" [routerLink]="[
          '../master-project-Edit/0/' + page + '/' + rowData.idproject + '/edit'
        ]" icon="fa-pencil" class="flat-button" pTooltip="Edit Project"></button>
        <button pButton type="button" [hidden]="(rowData.status_project != 0 && rowData.status_project != 5) && (rowData.status == '0' || rowData.status == '1')" (click)="reqAppoved(rowData)" pTooltip="Request Approve" class="flat-button" icon="fa fa-mail-forward"></button>
        </ng-template>
    </p-column>
    <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        </p-column> -->
    <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>
<div style="margin-top: 10px"></div>
<p-confirmDialog></p-confirmDialog>